Subject: Re: [PATCH 0/9] netconsole: stop charging every netpoll user for netconsole-only state

From: Breno Leitao <[email-masked]>
Date: Wed, 27 May 2026 06:22:02 -0700

Jakub and netdev maintainers,

On Wed, May 27, 2026 at 10:07:16AM +0100, Breno Leitao wrote:
> On Tue, May 26, 2026 at 07:00:53PM +0000, Jakub Kicinski wrote:
> > On Sun, 24 May 2026 09:12:16 -0700 Breno Leitao wrote:
> > > struct netpoll is shared by every netpoll consumer in the tree:
> > > bonding, bridge, team, vlan, macvlan, dsa and netconsole. The non-
> > > netconsole users only need a per-port handle that lets them transmit
> > > SKBs.
> > 
> > Are any of the Sashiko reports real?
> 
> Yes, there are real pre-existent issues reported by Sashiko.
> 
> > At least one seems legit (parallel device and target removal).
> > If yes we should probably try to fix them before we shuffle the code
> > around?
> 
> Ack, I will get them fixed and them move them around.

I was reading Linus' Linux 7.1-rc5 email[1], and I am wondering if these
type of "fixes" should go to net or are you planning to change it to net-next.

"""
   These things are "fixes", sure, but at the same time a lot of them
   are simply so irrelevant that I think they'd be better off in
   a linux-next tree and get merged during the merge window.
""" --linus

Link: https://lore.kernel.org/all/CAHk-=[email-masked]/ [1]

Thanks
--breno